[ SickChill ] [ 201006 ] SickRage fork

QoolBox

Grand Maître Jedi
57wu7Ls.png


Source : arm-x41, arm64, x86_64

https://www.qnapclub.eu/fr/qpkg/1015


Automatic Video Library Manager for TV Shows. It watches for new episodes of your favorite shows, and when they are posted it does its magic.


Features

Kodi/XBMC library updates, poster/banner/fanart downloads, and NFO/TBN generation
Configurable automatic episode renaming, sorting, and other processing
Easily see what episodes you're missing, are airing soon, and more
Automatic torrent/nzb searching, downloading, and processing at the qualities you want
Largest list of supported torrent and nzb providers, both public and private
Can notify Kodi, XBMC, Growl, Trakt, Twitter, and more when new episodes are available
Searches TheTVDB.com and AniDB.net for shows, seasons, episodes, and metadata
Episode status management allows for mass failing seasons/episodes to force retrying
DVD Order numbering for returning the results in DVD order instead of Air-By-Date order
Allows you to choose which indexer to have SickRage search its show info from when importing
Automatic XEM Scene Numbering/Naming for seasons/episodes
Available for any platform, uses a simple HTTP interface
Specials and multi-episode torrent/nzb support
Automatic subtitles matching and downloading
Improved failed download handling
DupeKey/DupeScore for NZBGet 12+
Real SSL certificate validation
Supports Anime shows

68747470733a2f2f7369636b726167652e63612f696d672f6c6f676f2d737461636b65642e706e67
 

LennyM

Apprenti
Hi,

fyi.
I just found out that the SickChill developers created an own SickChill package guideline (QSickChill) for QNAP devices to fix problems because of the hijack of the repo.
https://github.com/SickChill/qnap-sickchill

Best regards
Lenny
 

QoolBox

Grand Maître Jedi
ok...

missed x86_64 and arm_64 on this repo

my version is with full dependency (all libs up to date) + git embedded

but not built for old x86 and x31
 

LennyM

Apprenti
QoolBox a dit:
ok...

missed x86_64 and arm_64 on this repo

my version is with full dependency (all libs up to date) + git embedded

but not built for old x86 and x31

Yes, ofcourse your package is the most convenient as the other method has dependancies and you have to compile yourself.
So your package will likely be the default for qnap in the future.

Thanks and best regards
Lenny
 

aureladmin

Apprenti
Impossible de faire les mise a jour:

"Impossible de trouver l'exécutable de git - Arrêtez SickChill et SOIT ajouter git_path dans le fichier config.ini OU supprimez votre dossier .git et exécuter à partir des source pour effectuer les mises à jour."

j'ai installé "QGit" et j'ai regardé dans le fichier de conf de Sickchill mais je trouve rien.

EDIT: j'ai rien dit, après redémarrage du nas cela fonctionne.
 

LennyM

Apprenti
Hi,

thank you for the update.
Is it just me, or ist the update function not working in the new version?
I only get this message "There is a newer version available — Update Now".
With clicking on "Update Now" I only get linked to following url https://pypi.org/project/sickchill/2020.9.16.post3/ and no execution of an update script.

Best regards
Lenny
 

LennyM

Apprenti
LennyM a dit:
Hi,

thank you for the update.
Is it just me, or ist the update function not working in the new version?
I only get this message "There is a newer version available — Update Now".
With clicking on "Update Now" I only get linked to following url https://pypi.org/project/sickchill/2020.9.16.post3/ and no execution of an update script.

Best regards
Lenny

Hi,
any answer?

Thank you
Lenny
 

QoolBox

Grand Maître Jedi
it doesnt use pip3 for installation

upgrade can only be done with Git command... I need to double check

sorry working on a big project .. and it takes a lot of my free time
 

LennyM

Apprenti
thank you.
An where and how should I execute the git command?
I tried to do that in the following path

Code:
[/share/CE_CACHEDEV2_DATA/.qpkg/QSickChill3/SickChill

But there is no git file to pull and I receive follwojng error:

Code:
[/share/CE_CACHEDEV2_DATA/.qpkg/QSickChill3/SickChill] # git pull
fatal: not a git repository (or any parent up to mount point /share)
Stopping at filesystem boundary (GIT_DISCOVERY_ACROSS_FILESYSTEM not set).

Best regards
Lenny
 

QoolBox

Grand Maître Jedi
updated to latest Git
added auto update mecanism from Github master branch on QPKG start...
auto update wheels requirement via pip3
 

LennyM

Apprenti
Hi,

can you please update the installer. The current version has problems with old git version and dependencies.

Best regards
Lenny
 
Dernière édition:

LennyM

Apprenti
Hi,

I see there is a SickChill (Apache 80) in the store.
It seems to work but the Timezone is not as what the system ist is.

Best regards and thank you
Lenny
 
Haut Bas